package kernel.function;

import kernel.Cell;
import kernel.LanguageEnum;

import java.util.List;

public class Sum extends Function {


	private static final long serialVersionUID = 1L;

	public Sum(List<Cell> listCells) {
        super(listCells);
        this.names.put(LanguageEnum.FR, "SOMME");
        this.names.put(LanguageEnum.EN, "SUM");
    }

    public double eval() {
        return this.listCells.stream()
                .mapToDouble(Cell::getValue)
                .sum();
    }
}
